## kernel-patch-2.4.17-mips 2.4.17-0.020226.2.woody6

=== debian/changelog ===
kernel-patch-2.4.17-mips (2.4.17-0.020226.2.woody6) stable-security; urgency=low

  * Rebuild against kernel-source-2.4.17_2.4.17-1woody3 to fix
    - a possible roothole in ncpfs discovered by Arjan van de Ven
      <arjanv@devserv.devel.redhat.com> [fs/ncpfs/dir.c, CAN-2004-0010]
    - a local root exploit in iso9660 [fs/isofs/rock.c, CAN-2004-0109]
    - a local root exploit in the R128 DRI code 
      [drivers/char/drm/r128_state.c, CAN-2004-0003]
    - an information leak in ext3 journal creation 
      [fs/jbd/journal.c, CAN-2004-0177]
    - a local denial of service in the Sound Blaster driver
      [drivers/sound/sb_audio.c, CAN-2004-0178]
  * Added versioned build-dependency on kernel-source >= 2.4.17-1woody3

 -- Karsten Merker <merker@debian.org>  Tue, 13 Apr 2004 21:16:34 +0200

kernel-patch-2.4.17-mips (2.4.17-0.020226.2.woody5) stable-security; urgency=low

  * Applied patch extracted from Solar Designer's Owl patched kernel to
    fix local privilege escalation discovered by Paul Starzetz
    (CAN-2004-0077)

 -- Guido Guenther <agx@debian.org>  Mon,  9 Feb 2004 15:57:46 +0100

kernel-patch-2.4.17-mips (2.4.17-0.020226.2.woody4) stable-security; urgency=low

  * do_brk security fix (CAN-2003-0961)
  * don't build mips-tools on mips since we have a newer version in
    kernel-patch-2.4.19-mips which is also in woody.

 -- Guido Guenther <agx@debian.org>  Sat, 17 Jan 2004 14:18:00 +0100

kernel-patch-2.4.17-mips (2.4.17-0.020226.2.woody3) stable-security; urgency=low

  * apply do_mremap security fix (CAN-2003-0985) 

 -- Guido Guenther <agx@debian.org>  Wed,  7 Jan 2004 17:45:38 +0100

kernel-patch-2.4.17-mips (2.4.17-0.020226.2.woody2) stable-security; urgency=low

  * backout our ptrace fix since this is fixed in kernel-source-2.4.17-1woody1
  * Rebuilt against new kernel-source-2.4.17-1woody1 which fixes:
    - CAN-2003-0001: Multiple ethernet Network Interface Card (NIC) device
      drivers do not pad frames with null bytes, which allows remote
      attackers to obtain information from previous packets or kernel
      memory by using malformed packets
    - CAN-2003-0127: The kernel module loader allows local users to gain
      root privileges by using ptrace to attach to a child process that
      is spawned by the kernel
    - CAN-2003-0244: The route cache implementation in Linux 2.4, and the
      Netfilter IP conntrack module, allows remote attackers to cause a
      denial of service (CPU consumption) via packets with forged
      source addresses that cause a large number of hash table
      collisions related to the PREROUTING chain
    - CAN-2003-0246: The ioperm system call in Linux kernel 2.4.20 and earlier
      does not properly restrict privileges, which allows local users to
      gain read or write access to certain I/O ports.
    - CVE-2002-0429: The iBCS routines in arch/i386/kernel/traps.c for Linux
      kernels 2.4.18 and earlier on x86 systems allow local users to kill
      arbitrary processes via a a binary compatibility interface (lcall)
    - CAN-2003-0248: The mxcsr code in Linux kernel 2.4 allows attackers to
      modify CPU state registers via a malformed address.
    - CAN-2003-0247: vulnerability in the TTY layer of the Linux kernel 2.4
      allows attackers to cause a denial of service ("kernel oops")
    - CAN-2003-0364: The TCP/IP fragment reassembly handling in the Linux
      kernel 2.4 allows remote attackers to cause a denial of service (CPU
      consumption) via certain packets that cause a large number of hash
      table collisions
  * remove Readme.Debian from the diff

 -- Guido Guenther <agx@debian.org>  Thu, 12 Jun 2003 10:03:59 +0200

kernel-patch-2.4.17-mips (2.4.17-0.020226.2.woody1) stable-security; urgency=high

  * ptrace security fix

 -- Guido Guenther <agx@debian.org>  Sun, 23 Mar 2003 22:34:31 +0100

kernel-patch-2.4.17-mips (2.4.17-0.020226.2) unstable; urgency=low

  * On IP22 link in scsi-cdrom and iso9660 statically (Closes: #144412)
  * this bloats the kernel so much that it will overwrite arcboot (<<0.3.1)
    during boot, so I added a versioned conflict
  * Corrupted pixmaps in X are now a thing of the past - fixed by a cache
    aliasing patch from Steve Longerbeam & Jun Sun posted to linux-mips

 -- Guido Guenther <agx@debian.org>  Sun, 28 Apr 2002 15:55:35 +0200

kernel-patch-2.4.17-mips (2.4.17-0.020226.1) unstable; urgency=low

  * addinitrd fixups: open the source image O_RDONLY and make sure we don't
    overwrite the kernel's data segment unintentionally.
  * remove BKL and fix potential race on SMP systems in IP22 watchdog driver
    (patch by Dave Hansen)
  * Karsten: backport of the DECstation keyboard driver fixes from the current
    cvs kernel, needed to make the kernel work on machines without keyboard
    (previous version hung infinitely when no keyboard was attached)

 -- Guido Guenther <agx@debian.org>  Wed,  3 Apr 2002 15:25:03 +0200

kernel-patch-2.4.17-mips (2.4.17-0.020226) unstable; urgency=low

  * update to CVS 2002-02-26
  * include r3k-swap-patch from linux-mips list (this should finally
    make r3k decstations work)
  * IP22 watchdog driver included upstream
  * use make-kpkg --append-to-version instead of --arch_in_name to
    make sure we can install kernel images of different subarches
    at the same time.
  * add updated decstation configs from Karsten Merker
  * fix apply/0mips mipsel vs mips breakage (patch by Karsten Merker)

 -- Guido Guenther <agx@debian.org>  Mon, 11 Mar 2002 10:28:37 +0100

kernel-patch-2.4.17-mips (2.4.17-0.020130.1) unstable; urgency=medium

  * *** Important: ***
    We now ship an ELF instead of an ECOFF image on mips since this is 
    what arcboot expects. Old I2 proms will not boot this kernel unless 
    you either use arcboot(recommended) or use elf2ecoff before putting 
    the kernel into the vh.
  * incorporate proper mipsel support so we can build mips and mipsel
    images from this source packages(thanks to Karsten Merker

