=== debian/control ===
Source: kernel-patch-2.4.17-mips
Section: devel
Priority: optional
Maintainer: Guido Guenther <agx@debian.org>
Build-Depends: kernel-source-2.4.17 (>=2.4.17-1woody3), kernel-package, debhelper, modutils, console-tools
Standards-Version: 3.5.6

Package: kernel-patch-2.4.17-mips
Architecture: all
Recommends: kernel-source-2.4.17
Provides: kernel-patch-mips
Conflicts: kernel-patch-mips
Replaces: kernel-patch-mips
Description: Diffs to the kernel source for MIPS
 The MIPS kernel is maintained at oss.sgi.com's cvs repository.
 This patch is based on the cvs head branch.

Package: kernel-headers-2.4.17
Architecture: mips mipsel
Provides: kernel-headers
Description: Header files related to a specific Linux kernel.
 This package provides kernel header files, for sites that want the latest
 kernel headers.  Read /usr/share/doc/kernel-headers-2.4.17/debian.README.gz
 for details.

Package: mips-tools
Architecture: mipsel
Depends:  ${shlibs:Depends}
Description: mips specific kernel tools
 This package provides tools used on the mips architecture to add an initrd to
 the kernel and to convert the kernel into an ecoff image.

Package: kernel-image-2.4.17-r4k-ip22
Section: base
Architecture: mips
Suggests: kernel-doc-2.4.17, arcboot (>=0.3.1)
Conflicts: arcboot (<<0.3.1)
Provides: kernel-image, kernel-image-2.4
Description: Linux kernel binary image.
 This package contains the Linux/MIPS kernel image, the
 System.map file, and the modules built by the package.
 .
 This version is for R4XX0 processors and the IP22 subarchitecture 
 like the Indy and Indigo2.
 .
 Kernel image packages are generally produced using kernel-package,
 and it is suggested that you install that package if you wish to
 create a custom kernel from the sources.  You will also need
 kernel-patch-2.4.17-mips.

Package: kernel-image-2.4.17-r5k-ip22
Section: base
Architecture: mips
Suggests: kernel-doc-2.4.17, arcboot (>=0.3.1)
Conflicts: arcboot (<<0.3.1)
Provides: kernel-image, kernel-image-2.4
Description: Linux kernel binary image.
 This package contains the Linux/MIPS kernel image, the
 System.map file, and the modules built by the package.
 .
 This version is for R5000 processors and the IP22 subarchitecture 
 like the Indy and Indigo2.
 .
 Kernel image packages are generally produced using kernel-package,
 and it is suggested that you install that package if you wish to
 create a custom kernel from the sources.  You will also need
 kernel-patch-2.4.17-mips.

Package: kernel-image-2.4.17-r4k-kn04
Section: base
Architecture: mipsel
Suggests: kernel-doc-2.4.17, delo
Provides: kernel-image, kernel-image-2.4
Description: Linux kernel binary image.
 This package contains the Linux/MIPS kernel image, the
 System.map file, and the modules built by the package.
 .
 This is the kernel required for the R4000 based DECstation
 5000/150 and similar machines, such as the R4400 based DECstation
 5000/260.
 .
 Kernel image packages are generally produced using kernel-package,
 and it is suggested that you install that package if you wish to
 create a custom kernel from the sources.  You will also need
 kernel-patch-2.4.17-mips.

Package: kernel-image-2.4.17-r3k-kn02
Section: base
Architecture: mipsel
Suggests: kernel-doc-2.4.17, delo
Provides: kernel-image, kernel-image-2.4
Description: Linux kernel binary image.
 This package contains the Linux/MIPS kernel image, the
 System.map file, and the modules built by the package.
 .
 This is the kernel required for R3000 based DECstations with KN02
 (or compatible) mainboard, such as the DECstation 5000/1xx series
 with xx=20,25,33 and the DECstation 5000/240.
 .
 Kernel image packages are generally produced using kernel-package,
 and it is suggested that you install that package if you wish to
 create a custom kernel from the sources.  You will also need
 kernel-patch-2.4.17-mips.
