=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: devel
 Priority: optional
 Maintainer: Guido Guenther <agx@debian.org>
-Build-Depends: kernel-source-2.4.17 (>=2.4.17-1woody3), kernel-package, debhelper, modutils, console-tools
+Build-Depends: kernel-source-2.4.17 (>=2.4.17-1woody4), kernel-package, debhelper, modutils, console-tools
 Standards-Version: 3.5.6
 
 Package: kernel-patch-2.4.17-mips
